Name:           jgraph
Version:        5.12.1.1
Release:        2
Summary:        Java graph visualization and layout
License:        LGPLv2
Group:          Development/Tools
Url:            http://www.jgraph.com/
Source0:        http://www.jgraph.com/pub/%{name}-latest-lgpl-src.jar

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:        %{_tmppath}/%{name}-%{version}-buildroot

%description
JGraph is the most powerful, easy-to-use, feature-rich and
standards-compliant open source graph component available for Java.
Features:
- 100% pure Java, integrates into Swing component class hierarchy, based on
  Swing MVC pattern
- Fully standards-compliant, code complies with the Java Code Conventions
- Fully documented with many examples demonstrating the various features
- Can be used in rich clients and on the server-side
- Operates on various backends, XML files to databases or other systems,
  such as LDAP, JMX, J2EE
- Provides zooming, folding, undo, drag and drop and much more...

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for JGraph

%prep
%setup -q -c %{name}-%{version}
rm -f *.class lib/*.jar
dos2unix LICENSE examples/com/jgraph/example/SerialGraph.java

%build
ant jar

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r doc/api ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap com.jgraph %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE README WHATSNEW migrate.xml examples/ doc/pdf/*
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 5.12.1.1-2
- Edit the description and summary

* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 5.12.1.1-1
- Initial package
